/**
 * EasyBeans
 * Copyright (C) 2008 Bull S.A.S.
 * Contact: easybeans@ow2.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA
 *
 * --------------------------------------------------------------------------
 * $Id: RegistryProtocolVO.as 5199 2009-09-29 13:44:05Z benoitf $
 * --------------------------------------------------------------------------
 */

package org.ow2.easybeans.console.registry.vo {

    import com.adobe.cairngorm.vo.IValueObject;
    
    import mx.collections.ArrayCollection;

    [RemoteClass(alias="org.ow2.easybeans.console.registry.service.RegistryProtocol")]
    [Bindable]
    public class RegistryProtocolVO implements IValueObject
    {

        private var registryName : String;

        private var registryProviderURL : String;

        [ArrayElementType(String)]
        private var registryNames : ArrayCollection;

        public function RegistryProtocolVO() {
            super();
        }

        /**
         *  Getter for
         * @return the
         */
        public function get name() : String {
            return registryName;
        }

        /**
         * Setter for the .
         * @param
         */
        public function set name(registryName : String) : void {
            this.registryName = registryName;
        }

        /**
         *  Getter for
         * @return the
         */
        public function get providerURL() : String {
            return registryProviderURL;
        }

        /**
         * Setter for the .
         * @param
         */
        public function set providerURL(registryProviderURL : String) : void {
            this.registryProviderURL = registryProviderURL;
        }

        /**
         *  Getter for
         * @return the
         */
        public function get jndiNames() : ArrayCollection {
            return registryNames;
        }

        /**
         * Setter for the .
         * @param
         */
        public function set jndiNames(registryNames : ArrayCollection) : void {
            this.registryNames = registryNames;
        }

}
}
